Source: ruby-clamp
Version: 0.6.3-1
Severity: serious
Tags: sid stretch
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs

Dear Maintainer,

The package fails to build:

Failures:

  1) Clamp::Command with options declared #parse with --flag sets the flag
     Failure/Error: command.nuts?.should be_true
       expected true to respond to `true?` or perhaps you meant `be true` or 
`be_truthy`
     # ./spec/clamp/command_spec.rb:423:in `block (5 levels) in <top 
(required)>'

  2) Clamp::Command with options declared #parse with --no-flag clears the flag
     Failure/Error: command.nuts?.should be_false
       expected false to respond to `false?` or perhaps you meant `be false` or 
`be_falsey`
     # ./spec/clamp/command_spec.rb:436:in `block (5 levels) in <top 
(required)>'

  3) Clamp::Command with an explicit --help option declared does not generate 
implicit help option
     Failure/Error: command.help.should be_true
       expected Usage:
           cmd [OPTIONS]
       
       Options:
           --help                        help wanted
        to respond to `true?` or perhaps you meant `be true` or `be_truthy`
     # ./spec/clamp/command_spec.rb:513:in `block (3 levels) in <top 
(required)>'

....

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/ruby-clamp.html

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.19.0-23-generic (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to